Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.messageservices.mycarenet.core.v1
Class SelectRetrieveTransactionType

    java.lang.Object
      be.fgov.ehealth.messageservices.mycarenet.core.v1.SelectRetrieveTransactionType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SelectRetrieveTransaction

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:12:26+02:00",
               comments="JAXB RI v2.3.6")
    public class SelectRetrieveTransactionType

extends Object
implements Serializable

Java class for SelectRetrieveTransactionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SelectRetrieveTransactionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="patient" type="{http://www.ehealth.fgov.be/messageservices/core/v1}patientType" minOccurs="0"/>
             <element name="transaction" type="{http://www.ehealth.fgov.be/messageservices/core/v1}transactionType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SelectRetrieveTransactionType()`

Method Summary
`PatientType` | `getPatient()` Gets the value of the patient property.
`TransactionType` | `getTransaction()` Gets the value of the transaction property.
`void` | `setPatient(PatientType value)` Sets the value of the patient property.
`void` | `setTransaction(TransactionType value)` Sets the value of the transaction property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectRetrieveTransactionType

    public SelectRetrieveTransactionType()

Method Detail

### getPatient

    public PatientType getPatient()

  Gets the value of the patient property.

  Returns:
    possible object is `PatientType`

### setPatient

    public void setPatient(PatientType value)

  Sets the value of the patient property.

  Parameters:
    `value` - allowed object is `PatientType`

### getTransaction

    public TransactionType getTransaction()

  Gets the value of the transaction property.

  Returns:
    possible object is `TransactionType`

### setTransaction

    public void setTransaction(TransactionType value)

  Sets the value of the transaction property.

  Parameters:
    `value` - allowed object is `TransactionType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.